Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591558 - Automation ID attributes generated for lists in RHN
Summary: Automation ID attributes generated for lists in RHN
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn522
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sebastian Skracic
QA Contact: venkat
URL:
Whiteboard: US2902
Depends On:
Blocks: rhn-sprint45
TreeView+ depends on / blocked
 
Reported: 2010-05-12 14:46 UTC by Denise Hughes
Modified: 2010-08-02 20:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-02 20:52:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Denise Hughes 2010-05-12 14:46:29 UTC
Description of problem:
There exists documentation on what the expected ID's are & the Java and Perl list tags that you make these ID's

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Sebastian Skracic 2010-05-18 12:10:39 UTC
Both Perl and Java layers have been updated to generate appropriate HTML
ID's in list tags.

Comment 2 venkat 2010-05-19 15:54:04 UTC
Sebastian,

you created these ID's on the <td> instead of on the <input>

for example <td id="column1_1" class="list-checkbox">

this should be on 

<input type="checkbox" value="1015128756" onclick="checkbox_clicked(this, 'target_systems')" name="items_selected"/>

Comment 3 venkat 2010-05-19 17:32:32 UTC
one place this is true is under 

System Groups

select a group

Target Systems

Comment 4 Sebastian Skracic 2010-05-20 09:14:34 UTC
HTML ID's created on <input> checkbox elements as well:

<td id="column1_1" ...> <input type="checkbox" .... id="select_1"> </td>


Note You need to log in before you can comment on or make changes to this bug.